#ifndef ETEMPATTR_H
#define ETEMPATTR_H

#include "eattr.h"
#include "etemp.h"

namespace Ui {
class eTempAttr;
}

class eTempAttr : public eAttr
{
    Q_OBJECT

public:
    explicit eTempAttr(const eTemp::Data &data, QWidget *parent = nullptr);
    ~eTempAttr();

signals:
    void sAttrChanged(const eTemp::Data &);
    void sBackgroundColorChanged(const QColor&);

protected slots:
    void onAttrChanged();
    void onRadioChecked(bool f) { if(f) onAttrChanged(); }
    void BackgroundColor(const QColor & col);

private:
    Ui::eTempAttr *ui;

};

#endif // ETEMPATTR_H
